Bug 1248808 - widget code references widget names not found in .ui xml files
widget code references widget names not found in .ui xml files
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.2
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: candlepin-bugs
John Sefler
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 17:35 EDT by Adrian Likins
Modified: 2017-07-01 19:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrian Likins 2015-07-30 17:35:54 EDT
Description of problem:
In widgets.py, in SubManBaseWidget, pull_widgets() elevates self.widget_names to attributes on the widget object, and points to the widget defined in the ui xml.

But some of the names referenced don't seem to exist. Likely widget names auto-named by glade that changed with the gtk3 port.

Some logging to track them:

widgets.py:161 - FIXME: /home/adrian/src/subscription-manager/src/subscription_manager/gui/data/ui/mainwindow.ui MainWindow system_name_label
widgets.py:161 - FIXME: /home/adrian/src/subscription-manager/src/subscription_manager/gui/data/ui/selectsla.ui SelectSLAScreen owner_treeview
widgets.py:161 - FIXME: /home/adrian/src/subscription-manager/src/subscription_manager/gui/data/ui/confirmsubs.ui ConfirmSubscriptionsScreen back_button
widgets.py:161 - FIXME: /home/adrian/src/subscription-manager/src/subscription_manager/gui/data/ui/allsubs.ui AllSubscriptionsTab top_view
widgets.py:161 - FIXME: /home/adrian/src/subscription-manager/src/subscription_manager/gui/data/ui/allsubs.ui AllSubscriptionsTab month_entry
widgets.py:161 - FIXME: /home/adrian/src/subscription-manager/src/subscription_manager/gui/data/ui/allsubs.ui AllSubscriptionsTab day_entry
widgets.py:161 - FIXME: /home/adrian/src/subscription-manager/src/subscription_manager/gui/data/ui/allsubs.ui AllSubscriptionsTab year_entry
widgets.py:161 - FIXME: /home/adrian/src/subscription-manager/src/subscription_manager/gui/data/ui/allsubs.ui AllSubscriptionsTab active_on_checkbutton
widgets.py:161 - FIXME: /home/adrian/src/subscription-manager/src/subscription_manager/gui/data/ui/selectsla.ui SelectSLAScreen owner_treeview
widgets.py:161 - FIXME: /home/adrian/src/subscription-manager/src/subscription_manager/gui/data/ui/confirmsubs.ui ConfirmSubscriptionsScreen back_button


Additional info:

Need to verify the right names, etc.
Comment 2 John Sefler 2015-09-25 12:30:54 EDT
deferring to rhel-7.3.0 due to schedule and severity
Comment 5 Jiri Hnidek 2017-06-12 05:36:04 EDT
It seems, this problem was solved over time. I can't see any similar error messages in console nor in rhsm.log. I searched for following widget ids in code and this is my findings:

system_name_label ... OK
owner_treeview ... does not exist anymore
back_button ... does not exist anymore
top_view ... OK
month_entry ... does not exist anymore
day_entry ... does not exist anymore
year_entry ... does not exist anymore
active_on_checkbutton ... does not exist anymore

Note You need to log in before you can comment on or make changes to this bug.